Post by rocketninjin » Mon Jul 20, 2020 10:00 pm

Hi,
I am having issue with MySQLi connect to my database. I am getting the following errors:

Warning: mysqli::__construct(): (HY000/2002): No such file or directory in /volume1/web/babysmart/system/library/db/mysqli.php on line 7
Warning: DB\MySQLi::__construct(): Couldn't fetch mysqli in /volume1/web/babysmart/system/library/db/mysqli.php on line 10
Warning: DB\MySQLi::__construct(): Couldn't fetch mysqli in /volume1/web/babysmart/system/library/db/mysqli.php on line 10
Notice: Undefined variable: mysql in /volume1/web/babysmart/install/controller/install/step_3.php on line 280
Notice: Trying to get property 'connect_error' of non-object in /volume1/web/babysmart/install/controller/install/step_3.php on line 280

I have checked the database user name and password, it works fine for me when I login with phpMyAdmin. I can also setup Joomla and connect to the same database with the same credentials.

Does anyone knows why this error happens?

Thanks for the help

Newbie
Online

Posts

Joined
Mon Jul 20, 2020 9:53 pm

Post by IP_CAM » Mon Jul 20, 2020 10:35 pm

OC Help is only possible, if one supplies Figures and Facts.
But you did NOT mention the OC Version and Theme used,
so, how should anybody be willing or able to assist ? 8)
Ernie

Please don't send me OC Forum Personal Messages, just contact: jti@jacob.ch
---
OC 1.5.6.5 LIGHT Test Site: http://www.bigmax.ch/shop/
OC 1.5.6.5 V-PRO Test Site: http://www.openshop.li/shop/
My Github OC Site: https://github.com/IP-CAM
2'600+ FREE OC Extensions on the World's largest Github OC Repository Archive Site.


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by rocketninjin » Tue Jul 21, 2020 5:14 pm

The version I am trying to install is opencard 3.0.3.5.
I am exploring different shopping cart for my client, just come to this issue when I try to set it up.

Newbie
Online

Posts

Joined
Mon Jul 20, 2020 9:53 pm

Post by Cue4cheap » Wed Jul 22, 2020 6:38 am

rocketninjin wrote:
Tue Jul 21, 2020 5:14 pm
The version I am trying to install is opencard 3.0.3.5.
I am exploring different shopping cart for my client, just come to this issue when I try to set it up.
If you are trying out versions of shopping carts I would NOT try version 3.0.3.5 nor any of the other ones released in 2020. MAYBE 3.0.3.2 or if you insist on a 2020 release 3.0.3.3? But for basic functionality testing 2.3.0.2 would be the one I would try.
OC is notorious for not having stable versions right away so trying a version that was just released 3 days ago, with another release 2 days later isn't a good approach.
PLUS!!! with the latest versions of OC you will not have the shipping and payment modules so it makes testing the integration of those features very hard to do!!!
Mike

cue4cheap not cheap quality


Active Member

Posts

Joined
Fri Sep 20, 2013 4:45 am

Post by IP_CAM » Wed Jul 22, 2020 8:11 am

start joking:
Well, I assume, that OC v. 3.1.3 is expected to be as solid and stable
as it's Ancestor OC v.1.5.6.5, :laugh: :laugh: they're still working on 3.1.x on
Github.com, to eventually replace 3.0.x for good one day soon ... ;)
define('VERSION', '3.1.0.0_b');
https://github.com/opencart/opencart/tr ... h-9/upload
end of joke.

But depending on your requirements, OC 1.5.6.5(_rc) could be a valid
alternative, if one of your Clients requires a much more simple solution, :D
known to function for quite some time already, and up to PHP v.7.4.7 yet.
You could either use one of my enhanced (tested PHP v.7.4.7) Versions:
http://www.bigmax.ch/shop/ (OC LIGHT - dark Merkent Theme)
http://www.openshop.li/shop/ (OC V-PRO - v.2.0.3.x type Themes)
or then, download a (php-7.4.x updated) 'OC Default' 1.5.6.5_rc Version
(with the 'non responsive' OC v.1.5.6.4 Theme) from my Github.com Account:
https://github.com/IP-CAM/Opencart-1.5.6.5_RC
and add whatever OC v.1.5.6.x Mods + Bootstrap Theme your Clients like, to
have a valid Solution, with a proven secure, wide-spread, and solid Software,
start joking:
'til OC v.3.1.3 enters + takes over the OC Scene, in probably some Years from now. :laugh:
end of joke.
---
But if you decide on OC v.2.3.0.2, better also check on my Github.com Account, to find
some fixed/updated Versions, like the one's, offered by famous CONDOR2 (xxvirusxx):
https://github.com/IP-CAM/Opencart_2302_MV
https://github.com/IP-CAM/Opencart_2302_MV-1
others:
https://github.com/IP-CAM?tab=repositories&q=2.3.0.2
up to OC CMS v.2.3.0.2.5 (a well-done russian Version)
https://github.com/IP-CAM/opencart-v.2.3.0.2.5-CMS
to also have a rather broad assortment of free and paid Extensions and Themes on hand... :D
CONDOR2 also has an updated OV v.3.0.2.x Version on Github.com, just to have it mentioned too!
---
Just figured, to round up, what's available. ;)
Good Luck!
Ernie

Please don't send me OC Forum Personal Messages, just contact: jti@jacob.ch
---
OC 1.5.6.5 LIGHT Test Site: http://www.bigmax.ch/shop/
OC 1.5.6.5 V-PRO Test Site: http://www.openshop.li/shop/
My Github OC Site: https://github.com/IP-CAM
2'600+ FREE OC Extensions on the World's largest Github OC Repository Archive Site.


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland
Who is online

Users browsing this forum: No registered users and 4 guests